import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsLink as GdsLinkClass } from "../../../components/link/link.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsLink = (props) => {
  GdsLinkClass.define();
  const JSXElement = getReactComponent("gds-link");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsLink.displayName = "GdsLink";
export {
  GdsLink
};
